using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsDeviceRunHourlyCombine {
        //냉난방 운전최적제어 가동설비
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "빌딩ID"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "서비스타입ID"), Key]
        public short ServiceTypeId { get; set; }
        [Display(Name = "운전 날짜"), Key]
        public DateTime RunDate { get; set; }
        [Display(Name = "기기ID"), Key]
        public int DeviceId { get; set; }

        [ForeignKey("SiteId,BuildingId,DeviceId")]
        public virtual BemsDevice BemsDevice { get; set; }
        [ForeignKey("SiteId,BuildingId,ServiceTypeId,RunDate")]
        public virtual BemsDeviceRunHourly BemsDeviceRunHourly { get; set; }
    }
}
